View Issue Details

IDProjectCategoryView StatusLast Update
0020630LazarusIDEpublic2019-04-22 19:30
ReporterMartin FriebeAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.31 (SVN)Product Build 
Target VersionFixed in Version0.9.31 (SVN) 
Summary0020630: Regression: IDE no longer focus 2nd source editor
DescriptionSee steps below.

If "jump to implementation" changes between 2 source-edit-windows, then the focus is not transferred to the target win.

Works with 0.9.30

tested on w32/vista
Additional Information- New app (single window, one editor)
- ctrl click TFORM
 opens unit From in 2nd tab
- scroll up (scrolls into TCustomForm)
  until for example:
    function ShowModal: Integer; virtual;

- jump to implementation (shift-ctrl-down)
 opens customform.inc
- MOVE to new window
 win-1: unit1 / Forms
 win-2: customform.inc

- scroll customform.inc so the function is no longer in view
- focus unit Forms
 caret on ShowModal, jump to implementation as above

- use cursor up/down, and note that focus is still on win1 unit Forms
TagsNo tags attached.
Fixed in Revision33368
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2011-11-05 17:35 Martin Friebe New Issue
2011-11-05 17:35 Martin Friebe LazTarget => -
2011-11-05 17:35 Martin Friebe Widgetset => Win32/Win64
2011-11-05 17:36 Martin Friebe LazTarget - => 0.99.0
2011-11-05 17:36 Martin Friebe Target Version => 0.99.0
2011-11-05 17:36 Martin Friebe Additional Information Updated
2011-11-06 13:16 Martin Friebe Status new => assigned
2011-11-06 13:16 Martin Friebe Assigned To => Martin Friebe
2011-11-06 13:55 Martin Friebe Fixed in Revision => 33368
2011-11-06 13:55 Martin Friebe Status assigned => resolved
2011-11-06 13:55 Martin Friebe Fixed in Version => 0.9.31 (SVN)
2011-11-06 13:55 Martin Friebe Resolution open => fixed
2019-04-22 19:30 Martin Friebe Status resolved => closed